Subject: Re: bug#16274: 24.3.50; Error in post-command-hook (icomplete-post-command-hook): (invalid-function ("..." ...))

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 09 Feb 2014 19:53:45 -0800

Drew Adams <[email-masked]> writes:

>> It's not often that I notice the error (in *Messages*, since the
>> message itself is fleeting), but I'll try to keep an eye out for
>> the new message and let you know.  (I added a noticeable STRING
>> arg to the `cl-assert' form.)
>
> Well, it didn't take that long.  In the same session (after loading
> the patched minibuffer.el.  I did not get the `cl-assert' violation.
> I got the same, original error:
>
>   Error in post-command-hook (icomplete-post-command-hook):
>   (wrong-type-argument stringp nil)
>
> Well, actually, that's not the same error, but it is (IIRC)
> the one I reported originally.
>
> I've added some more debug with `stringp' assertions.  Will let
> you know what I find out.

You can also use `debug-on-message' to find what make the message appear.

Anyway, is this an Emacs bug?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/